Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.common.collect
Class ForwardingMapEntry<K,V>

    java.lang.Object
      com.google.common.collect.ForwardingObject
          com.google.common.collect.ForwardingMapEntry<K,V>

All Implemented Interfaces:
  Map.Entry<K,V>

    public abstract class ForwardingMapEntry<K,V>

extends ForwardingObject
implements Map.Entry<K,V>

A map entry which forwards all its method calls to another map entry. Subclasses should override one or more methods to modify the behavior of the backing map entry as desired per the decorator pattern.

Author:
  Mike Bostock
See Also:
  `ForwardingObject`

Constructor Summary
`ForwardingMapEntry()`

Method Summary
`protected abstract Map.Entry<K,V>` | `delegate()` Returns the backing delegate instance that methods are forwarded to.
`boolean` | `equals(Object object)` Indicates whether some other object is "equal to" this one.
`K` | `getKey()` Returns the key corresponding to this entry.
`V` | `getValue()` Returns the value corresponding to this entry.
`int` | `hashCode()` Returns a hash code value for the object.
`V` | `setValue(V value)` Replaces the value corresponding to this entry with the specified value (optional operation).

Methods inherited from class com.google.common.collect.ForwardingObject
`toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ForwardingMapEntry

    public ForwardingMapEntry()

Method Detail

### delegate

    protected abstract Map.Entry<K,V> delegate()

  Description copied from class: `ForwardingObject`
  Returns the backing delegate instance that methods are forwarded to. Abstract subclasses generally override this method with an abstract method that has a more specific return type, such as `ForwardingSet.delegate()`. Concrete subclasses override this method to supply the instance being decorated.

  Specified by:
    `delegate` in class `ForwardingObject`

### getKey

    public K getKey()

  Description copied from interface: `java.util.Map.Entry`
  Returns the key corresponding to this entry.

  Specified by:
    `getKey` in interface `Map.Entry<K,V>`
  Returns:
    the key corresponding to this entry

### getValue

    public V getValue()

  Description copied from interface: `java.util.Map.Entry`
  Returns the value corresponding to this entry. If the mapping has been removed from the backing map (by the iterator's `remove` operation), the results of this call are undefined.

  Specified by:
    `getValue` in interface `Map.Entry<K,V>`
  Returns:
    the value corresponding to this entry

### setValue

    public V setValue(V value)

  Description copied from interface: `java.util.Map.Entry`
  Replaces the value corresponding to this entry with the specified value (optional operation). (Writes through to the map.) The behavior of this call is undefined if the mapping has already been removed from the map (by the iterator's `remove` operation).

  Specified by:
    `setValue` in interface `Map.Entry<K,V>`
  Parameters:
    `value` - new value to be stored in this entry
  Returns:
    old value corresponding to the entry

### equals

    public boolean equals(@Nullable
                          Object object)

  Description copied from class: `java.lang.Object`
  Indicates whether some other object is "equal to" this one.

  The `equals` method implements an equivalence relation on non-null object references:

  - It is reflexive: for any non-null reference value `x`, `x.equals(x)` should return `true`.
  - It is symmetric: for any non-null reference values `x` and `y`, `x.equals(y)` should return `true` if and only if `y.equals(x)` returns `true`.
  - It is transitive: for any non-null reference values `x`, `y`, and `z`, if `x.equals(y)` returns `true` and `y.equals(z)` returns `true`, then `x.equals(z)` should return `true`.
  - It is consistent: for any non-null reference values `x` and `y`, multiple invocations of `x.equals(y)` consistently return `true` or consistently return `false`, provided no information used in `equals` comparisons on the objects is modified.
  - For any non-null reference value `x`, `x.equals(null)` should return `false`.

  The `equals` method for class `Object` implements the most discriminating possible equivalence relation on objects; that is, for any non-null reference values `x` and `y`, this method returns `true` if and only if `x` and `y` refer to the same object (`x == y` has the value `true`).

  Note that it is generally necessary to override the `hashCode` method whenever this method is overridden, so as to maintain the general contract for the `hashCode` method, which states that equal objects must have equal hash codes.

  Specified by:
    `equals` in interface `Map.Entry<K,V>`
  Overrides:
    `equals` in class `Object`
  Parameters:
    `object` - the reference object with which to compare.
  Returns:
    `true` if this object is the same as the obj argument; `false` otherwise.
  See Also:
    `Object.hashCode()`, `Hashtable`

### hashCode

    public int hashCode()

  Description copied from class: `java.lang.Object`
  Returns a hash code value for the object. This method is supported for the benefit of hashtables such as those provided by `java.util.Hashtable`.

  The general contract of `hashCode` is:

  - Whenever it is invoked on the same object more than once during an execution of a Java application, the `hashCode` method must consistently return the same integer, provided no information used in `equals` comparisons on the object is modified. This integer need not remain consistent from one execution of an application to another execution of the same application.
  - If two objects are equal according to the `equals(Object)` method, then calling the `hashCode` method on each of the two objects must produce the same integer result.
  - It is not required that if two objects are unequal according to the `Object.equals(java.lang.Object)` method, then calling the `hashCode` method on each of the two objects must produce distinct integer results. However, the programmer should be aware that producing distinct integer results for unequal objects may improve the performance of hashtables.

  As much as is reasonably practical, the hashCode method defined by class `Object` does return distinct integers for distinct objects. (This is typically implemented by converting the internal address of the object into an integer, but this implementation technique is not required by the JavaTM programming language.)

  Specified by:
    `hashCode` in interface `Map.Entry<K,V>`
  Overrides:
    `hashCode` in class `Object`
  Returns:
    a hash code value for this object.
  See Also:
    `Object.equals(java.lang.Object)`, `Hashtable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD